package org.wso2.carbon.device.mgt.ios.payload.beans;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.exception.ProfileConfigurationException;

import java.util.List;

@ApiModel(value = "AirPlay", description = "Details related to airplay.")
public class AirPlay extends PayloadOperation {

    @ApiModelProperty(name = "airPlayDestinations", value = "List of Airplay destinations.", required = true)
    private List<String> airPlayDestinations;
    @ApiModelProperty(name = "airPlayCredentials", value = "List of air play credentials.", required = true)
    private List<AirPlayCredentials> airPlayCredentials;

    public List<String> getAirPlayDestinations() {
        return airPlayDestinations;
    }

    public void setAirPlayDestinations(List<String> airPlayDestinations) {
        this.airPlayDestinations = airPlayDestinations;
    }

    public List<AirPlayCredentials> getAirPlayCredentials() {
        return airPlayCredentials;
    }

    public void setAirPlayCredentials(List<AirPlayCredentials> airPlayCredentials) {
        this.airPlayCredentials = airPlayCredentials;
    }

    @Override
    public void validateRequest() throws ProfileConfigurationException {

    }
}
